{
  "name": "react-native-camera",
  "description": "A Camera component for React Native. Also reads barcodes.",
  "version": "3.19.1",
  "author": "Lochlan Wansbrough <lochie@live.com> (http://lwansbrough.com)",
  "collective": {
    "type": "opencollective",
    "url": "https://opencollective.com/react-native-camera",
    "logo": "https://opencollective.com/opencollective/logo.txt"
  },
  "dependencies": {
    "prop-types": "^15.6.2"
  },
  "devDependencies": {
    "eslint": "^8.56.0",
    "prettier": "^3.1.0",
    "husky": "^8.0.3",
    "lint-staged": "^15.2.0"
  },
  "homepage": "https://github.com/react-native-community/react-native-camera",
  "keywords": [
    "barcode",
    "camera",
    "code",
    "native",
    "qr",
    "react",
    "react-native"
  ],
  "license": "MIT AND Apache-2.0 AND BSD-3-Clause",
  "lint-staged": {
    "*.js": [
      "yarn prettier",
      "eslint --fix",
      "git add"
    ],
    "*.d.ts": [
      "yarn prettier",
      "git add"
    ],
    "*.md": [
      "yarn prettier",
      "git add"
    ]
  },
  "main": "src/index.js",
  "nativePackage": true,
  "pre-commit": "lint:staged",
  "repository": {
    "type": "git",
    "url": "https://github.com/react-native-community/react-native-camera.git"
  },
  "scripts": {
    "commit": "git-cz",
    "commitmsg": "commitlint -e $GIT_PARAMS",
    "lint": "eslint src --max-warnings=0",
    "lint:staged": "lint-staged",
    "prettier": "prettier --write",
    "ci:publish": "semantic-release"
  },
  "types": "types/index.d.ts",
  "release": {
    "plugins": [
      "@semantic-release/commit-analyzer",
      "@semantic-release/release-notes-generator",
      "@semantic-release/npm",
      [
        "@semantic-release/github",
        {
          "assets": [
            "package.json"
          ],
          "message": "chore(release): ${nextRelease.version} [skip ci]\n\n${nextRelease.notes}"
        }
      ],
      [
        "@semantic-release/git",
        {
          "assets": "package.json",
          "message": "chore(release): ${nextRelease.version} [skip ci]\n\n${nextRelease.notes}"
        }
      ]
    ]
  },
  "config": {
    "commitizen": {
      "path": "@commitlint/prompt"
    }
  }
}
